import { CdkCell, CdkCellDef, CdkColumnDef, CdkFooterCell, CdkFooterCellDef, CdkHeaderCell, CdkHeaderCellDef } from '@angular/cdk/table';
import { ElementRef, EventEmitter } from '@angular/core';
export declare enum NtColumnSort {
    ASC = "asc",
    DESC = "desc",
    NONE = ""
}
export declare class NtColumnSortChange {
    isUserInput: boolean;
    column: string;
    sort: string;
    constructor(isUserInput: boolean, column: string, sort: string);
}
export declare class NtCellDefDirective extends CdkCellDef {
}
export declare class NtHeaderCellDefDirective extends CdkHeaderCellDef {
}
export declare class NtFooterCellDefDirective extends CdkFooterCellDef {
}
export declare class NtColumnDirective extends CdkColumnDef {
    private _sortable;
    sort: NtColumnSort;
    set ntColumn(value: string);
    name: string;
    sticky: boolean;
    stickyEnd: boolean;
    set sortable(value: boolean);
    get sortable(): boolean;
    _sortChange: EventEmitter<NtColumnSortChange>;
    sorting(isUserInput?: boolean): void;
}
export declare class NtHeaderCellDirective extends CdkHeaderCell {
    columnDef: NtColumnDirective;
    constructor(columnDef: NtColumnDirective, elementRef: ElementRef<HTMLElement>);
}
export declare class NtFooterCellDirective extends CdkFooterCell {
    constructor(columnDef: NtColumnDirective, elementRef: ElementRef);
}
export declare class NtCellDirective extends CdkCell {
    constructor(columnDef: NtColumnDirective, elementRef: ElementRef<HTMLElement>);
}
